проблема с установкой php-mbstring

sergey885
На сайте с 19.08.2002
Offline
248
1410

Здравствуйте,

Подскажите, пожалуйста, пытаюсь установить php-mbstring

но получается вот такая гадость:


[root@ip-******** conf]# yum install php-mbstring
Loaded plugins: priorities, update-motd, upgrade-helper
Resolving Dependencies
--> Running transaction check
---> Package php-mbstring.i686 0:5.3.29-1.8.amzn1 will be installed
--> Processing Dependency: php-common(x86-32) = 5.3.29-1.8.amzn1 for package: php-mbstring-5.3.29-1.8.amzn1.i686
--> Running transaction check
---> Package php-common.i686 0:5.3.29-1.8.amzn1 will be installed
--> Processing Conflict: php55-common-5.5.30-1.110.amzn1.i686 conflicts php-common < 5.5.30-1.110.amzn1
--> Finished Dependency Resolution
Error: php55-common conflicts with php-common-5.3.29-1.8.amzn1.i686
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

как мне избавиться от php-common-5.3.29-1.8.amzn1.i686 ?

пробовал sudo yum remove php-common и устанавливать заново, но судя по всему это удаляет только мою 5,5 версию

интернет-маркетинг. стратегии развития веб-проектов.
T
На сайте с 09.12.2011
Offline
55
tls
#1

Возможно, надо так:

# yum install php55-mbstring
S2
На сайте с 30.12.2015
Offline
313
#2

yum --skip-broken install php-mbstring

sergey885
На сайте с 19.08.2002
Offline
248
#3

спасибо, получилось

sahainvalid
На сайте с 21.07.2009
Offline
107
#4
sergey885:
спасибо, получилось

по какому варианту сделали?

tls:
yum install php55-mbstring

или

smart2web:
yum --skip-broken install php-mbstring
Я инвалид детства по ДЦП первой группы. мой сайт: ofru.ru ( http://ofru.ru ) мой второй сайт: Мы Поэты wepoets.ru ( http://wepoets.ru ) хостинг изображений is-all.ru/i/ ( http://is-all.ru/i/ )
sergey885
На сайте с 19.08.2002
Offline
248
#5

по первому

но успел удалить перед этим php-common и установил php5.6, а потом уже выполнил что-то типа php56-mbstring

Авторизуйтесь или зарегистрируйтесь, чтобы оставить комментарий